# How can you help?

Do you get amazing results and ML models with `AutoML`?

Would you like to help with `mljar-supervised`?

Below are described ways to help.


## Star `mljar-supervised` in GitHub

You can give a star for the `mljar-supervised` repository by clicking a star :star: at the top right.

[https://github.com/mljar/mljar-supervised](https://github.com/mljar/mljar-supervised)

<iframe src="https://ghbtns.com/github-btn.html?user=mljar&repo=mljar-supervised&type=star&count=true&size=large" frameborder="0" scrolling="0" width="170" height="30" title="GitHub"></iframe>

By adding a star, other users will be able to find this package more easily and see that it has already been useful for others. It helps!

## Watch the new releases on GitHub

To be notified by email about new releases.

[https://github.com/mljar/mljar-supervised](https://github.com/mljar/mljar-supervised)

<iframe src="https://ghbtns.com/github-btn.html?user=mljar&repo=mljar-supervised&type=watch&count=true&size=large&v=2" frameborder="0" scrolling="0" width="170" height="30" title="GitHub"></iframe>

You can select "Releases only" in the "Watch" button (top right corner).

## Connect in social media

- [Follow MLJAR on Twitter](https://twitter.com/MLJARofficial)
- <a href="https://twitter.com/compose/tweet?text=I'm loving mljar-supervised because... https://github.com/mljar/mljar-supervised cc @MLJARofficial" class="external-link" target="_blank">Tweet about **mljar-supervised**</a>! I'd love to hear from you how you use it, why you like it, in which project or company you find it valuable.
- [Connect on Linkedin](https://www.linkedin.com/in/piotr-plonski-mljar/) with Piotr Płoński (author of `mljar-supervised`)
- Follow Piotr Płoński on GitHub <iframe src="https://ghbtns.com/github-btn.html?user=pplonski&type=follow&count=true" frameborder="0" scrolling="0" width="170" height="20" title="GitHub"></iframe>

## Create GitHub issues

If you found a bug :bug: or have a problem :construction: with `mljar-supervised`, please create a [GitHub issue](https://github.com/mljar/mljar-supervised/issues/new). You can also suggest new features there! :+1:

You can also try to help others with their [issues](https://github.com/mljar/mljar-supervised/issues).

## Create a Pull Request :rocket:

You can create a Pull Request (PR), for:

* To fix an existing issue or bug :bug:
* To add a new feature :sparkles:
* To improve documentation :books:

## Join the chat on Slack!

You can join our Slack channel by clicking this [invite link](https://mljar-supervised.slack.com/join/shared_invite/zt-gkhfsvhw-H6LMKxxV5adeTmn9V7nbZw#/).

It's a place to discuss Machine Learning topics, ask ML and data questions and watch the development of AutoML.

## Write a tutorial! :books: :book:

You can write a tutorial for others about how you are using `AutoML`. You can publish it on:

- MLJAR's [blog](https://mljar.com/blog) - please let me know if interested
- [Towards Data Science](https://towardsdatascience.com/)
- [Dev.to](https://dev.to/)
- [FreeCodeCamp](https://www.freecodecamp.org)
- Your blog or website

When the post is ready I would love to read it and give you feedback. I will also share it in my social accounts and paste a link in the documentation. :+1:
